Index: trunk/sources/HeuristicLab.Problems.Instances.DataAnalysis/3.3/HeuristicLab.Problems.Instances.DataAnalysis-3.3.csproj
===================================================================
--- trunk/sources/HeuristicLab.Problems.Instances.DataAnalysis/3.3/HeuristicLab.Problems.Instances.DataAnalysis-3.3.csproj	(revision 14228)
+++ trunk/sources/HeuristicLab.Problems.Instances.DataAnalysis/3.3/HeuristicLab.Problems.Instances.DataAnalysis-3.3.csproj	(revision 14229)
@@ -24,4 +24,5 @@
     <WarningLevel>4</WarningLevel>
     <Prefer32Bit>false</Prefer32Bit>
+    <LangVersion>5</LangVersion>
   </PropertyGroup>
   <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|AnyCPU' ">
@@ -33,4 +34,5 @@
     <WarningLevel>4</WarningLevel>
     <Prefer32Bit>false</Prefer32Bit>
+    <LangVersion>5</LangVersion>
   </PropertyGroup>
   <PropertyGroup>
@@ -54,4 +56,5 @@
     <CodeAnalysisRuleDirectories>;C:\Program Files (x86)\Microsoft Visual Studio 10.0\Team Tools\Static Analysis Tools\FxCop\\Rules</CodeAnalysisRuleDirectories>
     <Prefer32Bit>false</Prefer32Bit>
+    <LangVersion>5</LangVersion>
   </PropertyGroup>
   <PropertyGroup Condition="'$(Configuration)|$(Platform)' == 'Release|x86'">
@@ -71,4 +74,5 @@
     <CodeAnalysisIgnoreBuiltInRules>false</CodeAnalysisIgnoreBuiltInRules>
     <Prefer32Bit>false</Prefer32Bit>
+    <LangVersion>5</LangVersion>
   </PropertyGroup>
   <PropertyGroup Condition="'$(Configuration)|$(Platform)' == 'Debug|x64'">
@@ -86,4 +90,5 @@
     <CodeAnalysisRuleDirectories>;C:\Program Files (x86)\Microsoft Visual Studio 10.0\Team Tools\Static Analysis Tools\FxCop\\Rules</CodeAnalysisRuleDirectories>
     <Prefer32Bit>false</Prefer32Bit>
+    <LangVersion>5</LangVersion>
   </PropertyGroup>
   <PropertyGroup Condition="'$(Configuration)|$(Platform)' == 'Release|x64'">
@@ -103,4 +108,5 @@
     <CodeAnalysisIgnoreBuiltInRules>false</CodeAnalysisIgnoreBuiltInRules>
     <Prefer32Bit>false</Prefer32Bit>
+    <LangVersion>5</LangVersion>
   </PropertyGroup>
   <ItemGroup>
Index: trunk/sources/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/FeatureSelection/FeatureSelectionInstanceProvider.cs
===================================================================
--- trunk/sources/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/FeatureSelection/FeatureSelectionInstanceProvider.cs	(revision 14228)
+++ trunk/sources/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/FeatureSelection/FeatureSelectionInstanceProvider.cs	(revision 14229)
@@ -41,5 +41,5 @@
       get { return ""; }
     }
-    public int Seed { get; }
+    public int Seed { get; private set; }
 
     public FeatureSelectionInstanceProvider() : base() {
Index: trunk/sources/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Friedman/FriedmanRandomFunctionInstanceProvider.cs
===================================================================
--- trunk/sources/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Friedman/FriedmanRandomFunctionInstanceProvider.cs	(revision 14228)
+++ trunk/sources/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Friedman/FriedmanRandomFunctionInstanceProvider.cs	(revision 14229)
@@ -40,5 +40,5 @@
       get { return "Friedman, Jerome H. 'Greedy function approximation: a gradient boosting machine.' Annals of statistics (2001): 1189-1232."; }
     }
-    public int Seed { get; }
+    public int Seed { get; private set; }
 
     public FriedmanRandomFunctionInstanceProvider() : base() {
Index: trunk/sources/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Keijzer/KeijzerFunctionEleven.cs
===================================================================
--- trunk/sources/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Keijzer/KeijzerFunctionEleven.cs	(revision 14228)
+++ trunk/sources/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Keijzer/KeijzerFunctionEleven.cs	(revision 14229)
@@ -48,5 +48,5 @@
     protected override int TestPartitionStart { get { return 20; } }
     protected override int TestPartitionEnd { get { return 20 + (601 * 601); } }
-    public int Seed { get; }
+    public int Seed { get; private set; }
 
     public KeijzerFunctionEleven() : this((int)System.DateTime.Now.Ticks) {
Index: trunk/sources/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Keijzer/KeijzerFunctionFifteen.cs
===================================================================
--- trunk/sources/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Keijzer/KeijzerFunctionFifteen.cs	(revision 14228)
+++ trunk/sources/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Keijzer/KeijzerFunctionFifteen.cs	(revision 14229)
@@ -47,5 +47,5 @@
     protected override int TestPartitionStart { get { return 20; } }
     protected override int TestPartitionEnd { get { return 20 + (601 * 601); } }
-    public int Seed { get; }
+    public int Seed { get; private set; }
 
     public KeijzerFunctionFifteen() : this((int)System.DateTime.Now.Ticks) {
Index: trunk/sources/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Keijzer/KeijzerFunctionFive.cs
===================================================================
--- trunk/sources/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Keijzer/KeijzerFunctionFive.cs	(revision 14228)
+++ trunk/sources/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Keijzer/KeijzerFunctionFive.cs	(revision 14229)
@@ -46,5 +46,5 @@
     protected override int TestPartitionStart { get { return 1000; } }
     protected override int TestPartitionEnd { get { return 11000; } }
-    public int Seed { get; }
+    public int Seed { get; private set; }
 
     public KeijzerFunctionFive() : this((int)System.DateTime.Now.Ticks) {
Index: trunk/sources/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Keijzer/KeijzerFunctionFourteen.cs
===================================================================
--- trunk/sources/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Keijzer/KeijzerFunctionFourteen.cs	(revision 14228)
+++ trunk/sources/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Keijzer/KeijzerFunctionFourteen.cs	(revision 14229)
@@ -47,5 +47,5 @@
     protected override int TestPartitionStart { get { return 20; } }
     protected override int TestPartitionEnd { get { return 20 + (601 * 601); } }
-    public int Seed { get; }
+    public int Seed { get; private set; }
 
     public KeijzerFunctionFourteen() : this((int)System.DateTime.Now.Ticks) {
Index: trunk/sources/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Keijzer/KeijzerFunctionTen.cs
===================================================================
--- trunk/sources/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Keijzer/KeijzerFunctionTen.cs	(revision 14228)
+++ trunk/sources/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Keijzer/KeijzerFunctionTen.cs	(revision 14229)
@@ -47,5 +47,5 @@
     protected override int TestPartitionStart { get { return 100; } }
     protected override int TestPartitionEnd { get { return 100 + (101 * 101); } }
-    public int Seed { get; }
+    public int Seed { get; private set; }
 
     public KeijzerFunctionTen() : this((int)System.DateTime.Now.Ticks) {
Index: trunk/sources/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Keijzer/KeijzerFunctionThirteen.cs
===================================================================
--- trunk/sources/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Keijzer/KeijzerFunctionThirteen.cs	(revision 14228)
+++ trunk/sources/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Keijzer/KeijzerFunctionThirteen.cs	(revision 14229)
@@ -47,5 +47,5 @@
     protected override int TestPartitionStart { get { return 20; } }
     protected override int TestPartitionEnd { get { return 20 + (601 * 601); } }
-    public int Seed { get; }
+    public int Seed { get; private set; }
 
     public KeijzerFunctionThirteen() : this((int)System.DateTime.Now.Ticks) {
Index: trunk/sources/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Keijzer/KeijzerFunctionTwelve.cs
===================================================================
--- trunk/sources/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Keijzer/KeijzerFunctionTwelve.cs	(revision 14228)
+++ trunk/sources/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Keijzer/KeijzerFunctionTwelve.cs	(revision 14229)
@@ -47,5 +47,5 @@
     protected override int TestPartitionStart { get { return 20; } }
     protected override int TestPartitionEnd { get { return 20 + (601 * 601); } }
-    public int Seed { get; }
+    public int Seed { get; private set; }
 
     public KeijzerFunctionTwelve() : this((int)System.DateTime.Now.Ticks) {
Index: trunk/sources/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Keijzer/KeijzerInstanceProvider.cs
===================================================================
--- trunk/sources/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Keijzer/KeijzerInstanceProvider.cs	(revision 14228)
+++ trunk/sources/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Keijzer/KeijzerInstanceProvider.cs	(revision 14229)
@@ -38,5 +38,5 @@
       get { return "McDermott et al., 2012 \"Genetic Programming Needs Better Benchmarks\", in Proc. of GECCO 2012."; }
     }
-    public int Seed { get; }
+    public int Seed { get; private set; }
 
     public KeijzerInstanceProvider() : this((int)System.DateTime.Now.Ticks) {
Index: trunk/sources/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Korns/KornsFunctionEight.cs
===================================================================
--- trunk/sources/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Korns/KornsFunctionEight.cs	(revision 14228)
+++ trunk/sources/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Korns/KornsFunctionEight.cs	(revision 14229)
@@ -52,5 +52,5 @@
     protected override int TestPartitionEnd { get { return 20000; } }
 
-    public int Seed { get; }
+    public int Seed { get; private set; }
 
     public KornsFunctionEight() : this((int)System.DateTime.Now.Ticks) {
Index: trunk/sources/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Korns/KornsFunctionEleven.cs
===================================================================
--- trunk/sources/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Korns/KornsFunctionEleven.cs	(revision 14228)
+++ trunk/sources/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Korns/KornsFunctionEleven.cs	(revision 14229)
@@ -50,5 +50,5 @@
     protected override int TestPartitionStart { get { return 10000; } }
     protected override int TestPartitionEnd { get { return 20000; } }
-    public int Seed { get; }
+    public int Seed { get; private set; }
 
     public KornsFunctionEleven() : this((int)System.DateTime.Now.Ticks) {
Index: trunk/sources/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Korns/KornsFunctionFifteen.cs
===================================================================
--- trunk/sources/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Korns/KornsFunctionFifteen.cs	(revision 14228)
+++ trunk/sources/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Korns/KornsFunctionFifteen.cs	(revision 14229)
@@ -51,5 +51,5 @@
     protected override int TestPartitionStart { get { return 10000; } }
     protected override int TestPartitionEnd { get { return 20000; } }
-    public int Seed { get; }
+    public int Seed { get; private set; }
 
 
Index: trunk/sources/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Korns/KornsFunctionFive.cs
===================================================================
--- trunk/sources/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Korns/KornsFunctionFive.cs	(revision 14228)
+++ trunk/sources/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Korns/KornsFunctionFive.cs	(revision 14229)
@@ -51,5 +51,5 @@
     protected override int TestPartitionStart { get { return 10000; } }
     protected override int TestPartitionEnd { get { return 20000; } }
-    public int Seed { get; }
+    public int Seed { get; private set; }
 
     public KornsFunctionFive() : this((int)System.DateTime.Now.Ticks) {
Index: trunk/sources/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Korns/KornsFunctionFour.cs
===================================================================
--- trunk/sources/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Korns/KornsFunctionFour.cs	(revision 14228)
+++ trunk/sources/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Korns/KornsFunctionFour.cs	(revision 14229)
@@ -51,5 +51,5 @@
     protected override int TestPartitionEnd { get { return 20000; } }
 
-    public int Seed { get; }
+    public int Seed { get; private set; }
 
     public KornsFunctionFour() : this((int)System.DateTime.Now.Ticks) {
Index: trunk/sources/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Korns/KornsFunctionFourteen.cs
===================================================================
--- trunk/sources/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Korns/KornsFunctionFourteen.cs	(revision 14228)
+++ trunk/sources/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Korns/KornsFunctionFourteen.cs	(revision 14229)
@@ -50,5 +50,5 @@
     protected override int TestPartitionStart { get { return 10000; } }
     protected override int TestPartitionEnd { get { return 20000; } }
-    public int Seed { get; }
+    public int Seed { get; private set; }
 
     public KornsFunctionFourteen() : this((int)System.DateTime.Now.Ticks) {
Index: trunk/sources/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Korns/KornsFunctionNine.cs
===================================================================
--- trunk/sources/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Korns/KornsFunctionNine.cs	(revision 14228)
+++ trunk/sources/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Korns/KornsFunctionNine.cs	(revision 14229)
@@ -52,5 +52,5 @@
     protected override int TestPartitionStart { get { return 10000; } }
     protected override int TestPartitionEnd { get { return 20000; } }
-    public int Seed { get; }
+    public int Seed { get; private set; }
 
     public KornsFunctionNine() : this((int)System.DateTime.Now.Ticks) {
Index: trunk/sources/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Korns/KornsFunctionOne.cs
===================================================================
--- trunk/sources/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Korns/KornsFunctionOne.cs	(revision 14228)
+++ trunk/sources/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Korns/KornsFunctionOne.cs	(revision 14229)
@@ -51,5 +51,5 @@
     protected override int TestPartitionStart { get { return 10000; } }
     protected override int TestPartitionEnd { get { return 20000; } }
-    public int Seed { get; }
+    public int Seed { get; private set; }
 
     public KornsFunctionOne() : this((int)System.DateTime.Now.Ticks) {
Index: trunk/sources/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Korns/KornsFunctionSeven.cs
===================================================================
--- trunk/sources/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Korns/KornsFunctionSeven.cs	(revision 14228)
+++ trunk/sources/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Korns/KornsFunctionSeven.cs	(revision 14229)
@@ -51,5 +51,5 @@
     protected override int TestPartitionStart { get { return 10000; } }
     protected override int TestPartitionEnd { get { return 20000; } }
-    public int Seed { get; }
+    public int Seed { get; private set; }
 
     public KornsFunctionSeven() : this((int)System.DateTime.Now.Ticks) {
Index: trunk/sources/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Korns/KornsFunctionSix.cs
===================================================================
--- trunk/sources/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Korns/KornsFunctionSix.cs	(revision 14228)
+++ trunk/sources/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Korns/KornsFunctionSix.cs	(revision 14229)
@@ -51,5 +51,5 @@
     protected override int TestPartitionStart { get { return 10000; } }
     protected override int TestPartitionEnd { get { return 20000; } }
-    public int Seed { get; }
+    public int Seed { get; private set; }
 
     public KornsFunctionSix() : this((int)System.DateTime.Now.Ticks) {
Index: trunk/sources/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Korns/KornsFunctionTen.cs
===================================================================
--- trunk/sources/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Korns/KornsFunctionTen.cs	(revision 14228)
+++ trunk/sources/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Korns/KornsFunctionTen.cs	(revision 14229)
@@ -50,5 +50,5 @@
     protected override int TestPartitionStart { get { return 10000; } }
     protected override int TestPartitionEnd { get { return 20000; } }
-    public int Seed { get; }
+    public int Seed { get; private set; }
 
     public KornsFunctionTen() : this((int)System.DateTime.Now.Ticks) {
Index: trunk/sources/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Korns/KornsFunctionThirteen.cs
===================================================================
--- trunk/sources/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Korns/KornsFunctionThirteen.cs	(revision 14228)
+++ trunk/sources/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Korns/KornsFunctionThirteen.cs	(revision 14229)
@@ -50,5 +50,5 @@
     protected override int TestPartitionStart { get { return 10000; } }
     protected override int TestPartitionEnd { get { return 20000; } }
-    public int Seed { get; }
+    public int Seed { get; private set; }
 
     public KornsFunctionThirteen() : this((int)System.DateTime.Now.Ticks) {
Index: trunk/sources/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Korns/KornsFunctionThree.cs
===================================================================
--- trunk/sources/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Korns/KornsFunctionThree.cs	(revision 14228)
+++ trunk/sources/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Korns/KornsFunctionThree.cs	(revision 14229)
@@ -50,5 +50,5 @@
     protected override int TestPartitionStart { get { return 10000; } }
     protected override int TestPartitionEnd { get { return 20000; } }
-    public int Seed { get; }
+    public int Seed { get; private set; }
 
     public KornsFunctionThree() : this((int)System.DateTime.Now.Ticks) {
Index: trunk/sources/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Korns/KornsFunctionTwelve.cs
===================================================================
--- trunk/sources/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Korns/KornsFunctionTwelve.cs	(revision 14228)
+++ trunk/sources/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Korns/KornsFunctionTwelve.cs	(revision 14229)
@@ -50,5 +50,5 @@
     protected override int TestPartitionStart { get { return 10000; } }
     protected override int TestPartitionEnd { get { return 20000; } }
-    public int Seed { get; }
+    public int Seed { get; private set; }
 
     public KornsFunctionTwelve() : this((int)System.DateTime.Now.Ticks) {
Index: trunk/sources/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Korns/KornsFunctionTwo.cs
===================================================================
--- trunk/sources/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Korns/KornsFunctionTwo.cs	(revision 14228)
+++ trunk/sources/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Korns/KornsFunctionTwo.cs	(revision 14229)
@@ -50,5 +50,5 @@
     protected override int TestPartitionStart { get { return 10000; } }
     protected override int TestPartitionEnd { get { return 20000; } }
-    public int Seed { get; }
+    public int Seed { get; private set; }
 
     public KornsFunctionTwo() : this((int)System.DateTime.Now.Ticks) {
Index: trunk/sources/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Korns/KornsInstanceProvider.cs
===================================================================
--- trunk/sources/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Korns/KornsInstanceProvider.cs	(revision 14228)
+++ trunk/sources/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Korns/KornsInstanceProvider.cs	(revision 14229)
@@ -38,5 +38,5 @@
       get { return "McDermott et al., 2012 \"Genetic Programming Needs Better Benchmarks\", in Proc. of GECCO 2012."; }
     }
-    public int Seed { get; }
+    public int Seed { get; private set; }
     public KornsInstanceProvider() : this((int)System.DateTime.Now.Ticks) { }
     public KornsInstanceProvider(int seed) : base() {
Index: trunk/sources/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Nguyen/NguyenFunctionEight.cs
===================================================================
--- trunk/sources/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Nguyen/NguyenFunctionEight.cs	(revision 14228)
+++ trunk/sources/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Nguyen/NguyenFunctionEight.cs	(revision 14229)
@@ -46,5 +46,5 @@
     protected override int TestPartitionEnd { get { return 520; } }
 
-    public int Seed { get; }
+    public int Seed { get; private set; }
 
     public NguyenFunctionEight() : this((int)System.DateTime.Now.Ticks) { }
Index: trunk/sources/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Nguyen/NguyenFunctionEleven.cs
===================================================================
--- trunk/sources/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Nguyen/NguyenFunctionEleven.cs	(revision 14228)
+++ trunk/sources/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Nguyen/NguyenFunctionEleven.cs	(revision 14229)
@@ -46,5 +46,5 @@
     protected override int TestPartitionStart { get { return 20; } }
     protected override int TestPartitionEnd { get { return 1020; } }
-    public int Seed { get; }
+    public int Seed { get; private set; }
 
     public NguyenFunctionEleven() : this((int)System.DateTime.Now.Ticks) { }
Index: trunk/sources/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Nguyen/NguyenFunctionFive.cs
===================================================================
--- trunk/sources/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Nguyen/NguyenFunctionFive.cs	(revision 14228)
+++ trunk/sources/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Nguyen/NguyenFunctionFive.cs	(revision 14229)
@@ -45,5 +45,5 @@
     protected override int TestPartitionStart { get { return 20; } }
     protected override int TestPartitionEnd { get { return 520; } }
-    public int Seed { get; }
+    public int Seed { get; private set; }
 
     public NguyenFunctionFive() : this((int)System.DateTime.Now.Ticks) { }
Index: trunk/sources/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Nguyen/NguyenFunctionFour.cs
===================================================================
--- trunk/sources/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Nguyen/NguyenFunctionFour.cs	(revision 14228)
+++ trunk/sources/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Nguyen/NguyenFunctionFour.cs	(revision 14229)
@@ -45,5 +45,5 @@
     protected override int TestPartitionStart { get { return 20; } }
     protected override int TestPartitionEnd { get { return 520; } }
-    public int Seed { get; }
+    public int Seed { get; private set; }
 
     public NguyenFunctionFour() : this((int)System.DateTime.Now.Ticks) { }
Index: trunk/sources/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Nguyen/NguyenFunctionNine.cs
===================================================================
--- trunk/sources/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Nguyen/NguyenFunctionNine.cs	(revision 14228)
+++ trunk/sources/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Nguyen/NguyenFunctionNine.cs	(revision 14229)
@@ -46,5 +46,5 @@
     protected override int TestPartitionStart { get { return 20; } }
     protected override int TestPartitionEnd { get { return 1020; } }
-    public int Seed { get; }
+    public int Seed { get; private set; }
 
     public NguyenFunctionNine() : this((int)System.DateTime.Now.Ticks) { }
Index: trunk/sources/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Nguyen/NguyenFunctionOne.cs
===================================================================
--- trunk/sources/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Nguyen/NguyenFunctionOne.cs	(revision 14228)
+++ trunk/sources/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Nguyen/NguyenFunctionOne.cs	(revision 14229)
@@ -45,5 +45,5 @@
     protected override int TestPartitionStart { get { return 20; } }
     protected override int TestPartitionEnd { get { return 520; } }
-    public int Seed { get; }
+    public int Seed { get; private set; }
 
     public NguyenFunctionOne() : this((int)System.DateTime.Now.Ticks) { }
Index: trunk/sources/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Nguyen/NguyenFunctionSeven.cs
===================================================================
--- trunk/sources/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Nguyen/NguyenFunctionSeven.cs	(revision 14228)
+++ trunk/sources/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Nguyen/NguyenFunctionSeven.cs	(revision 14229)
@@ -46,5 +46,5 @@
     protected override int TestPartitionEnd { get { return 520; } }
 
-    public int Seed { get; }
+    public int Seed { get; private set; }
 
     public NguyenFunctionSeven() : this((int)System.DateTime.Now.Ticks) { }
Index: trunk/sources/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Nguyen/NguyenFunctionSix.cs
===================================================================
--- trunk/sources/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Nguyen/NguyenFunctionSix.cs	(revision 14228)
+++ trunk/sources/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Nguyen/NguyenFunctionSix.cs	(revision 14229)
@@ -45,5 +45,5 @@
     protected override int TestPartitionStart { get { return 20; } }
     protected override int TestPartitionEnd { get { return 520; } }
-    public int Seed { get; }
+    public int Seed { get; private set; }
 
     public NguyenFunctionSix() : this((int)System.DateTime.Now.Ticks) { }
Index: trunk/sources/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Nguyen/NguyenFunctionTen.cs
===================================================================
--- trunk/sources/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Nguyen/NguyenFunctionTen.cs	(revision 14228)
+++ trunk/sources/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Nguyen/NguyenFunctionTen.cs	(revision 14229)
@@ -46,5 +46,5 @@
     protected override int TestPartitionStart { get { return 20; } }
     protected override int TestPartitionEnd { get { return 1020; } }
-    public int Seed { get; }
+    public int Seed { get; private set; }
 
     public NguyenFunctionTen() : this((int)System.DateTime.Now.Ticks) { }
Index: trunk/sources/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Nguyen/NguyenFunctionThree.cs
===================================================================
--- trunk/sources/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Nguyen/NguyenFunctionThree.cs	(revision 14228)
+++ trunk/sources/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Nguyen/NguyenFunctionThree.cs	(revision 14229)
@@ -45,5 +45,5 @@
     protected override int TestPartitionStart { get { return 20; } }
     protected override int TestPartitionEnd { get { return 520; } }
-    public int Seed { get; }
+    public int Seed { get; private set; }
 
     public NguyenFunctionThree() : this((int)System.DateTime.Now.Ticks) { }
Index: trunk/sources/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Nguyen/NguyenFunctionTwelve.cs
===================================================================
--- trunk/sources/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Nguyen/NguyenFunctionTwelve.cs	(revision 14228)
+++ trunk/sources/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Nguyen/NguyenFunctionTwelve.cs	(revision 14229)
@@ -46,5 +46,5 @@
     protected override int TestPartitionStart { get { return 20; } }
     protected override int TestPartitionEnd { get { return 1020; } }
-    public int Seed { get; }
+    public int Seed { get; private set; }
 
     public NguyenFunctionTwelve() : this((int)System.DateTime.Now.Ticks) { }
Index: trunk/sources/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Nguyen/NguyenFunctionTwo.cs
===================================================================
--- trunk/sources/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Nguyen/NguyenFunctionTwo.cs	(revision 14228)
+++ trunk/sources/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Nguyen/NguyenFunctionTwo.cs	(revision 14229)
@@ -45,5 +45,5 @@
     protected override int TestPartitionStart { get { return 20; } }
     protected override int TestPartitionEnd { get { return 520; } }
-    public int Seed { get; }
+    public int Seed { get; private set; }
 
     public NguyenFunctionTwo() : this((int)System.DateTime.Now.Ticks) { }
Index: trunk/sources/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Nguyen/NguyenInstanceProvider.cs
===================================================================
--- trunk/sources/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Nguyen/NguyenInstanceProvider.cs	(revision 14228)
+++ trunk/sources/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Nguyen/NguyenInstanceProvider.cs	(revision 14229)
@@ -38,5 +38,5 @@
       get { return "McDermott et al., 2012 \"Genetic Programming Needs Better Benchmarks\", in Proc. of GECCO 2012."; }
     }
-    public int Seed { get; }
+    public int Seed { get; private set; }
 
     public NguyenInstanceProvider() : this((int)System.DateTime.Now.Ticks) { }
Index: trunk/sources/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/VariableNetworks/VariableNetworkInstanceProvider.cs
===================================================================
--- trunk/sources/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/VariableNetworks/VariableNetworkInstanceProvider.cs	(revision 14228)
+++ trunk/sources/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/VariableNetworks/VariableNetworkInstanceProvider.cs	(revision 14229)
@@ -40,5 +40,5 @@
       get { return ""; }
     }
-    public int Seed { get; }
+    public int Seed { get; private set; }
 
     public VariableNetworkInstanceProvider() : this((int)DateTime.Now.Ticks) { }
Index: trunk/sources/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Various/BreimanOne.cs
===================================================================
--- trunk/sources/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Various/BreimanOne.cs	(revision 14228)
+++ trunk/sources/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Various/BreimanOne.cs	(revision 14229)
@@ -44,5 +44,5 @@
     protected override int TestPartitionEnd { get { return 10001; } }
 
-    public int Seed { get; }
+    public int Seed { get; private set; }
 
     public BreimanOne() : this((int)DateTime.Now.Ticks) { }
Index: trunk/sources/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Various/FriedmanOne.cs
===================================================================
--- trunk/sources/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Various/FriedmanOne.cs	(revision 14228)
+++ trunk/sources/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Various/FriedmanOne.cs	(revision 14229)
@@ -42,5 +42,5 @@
     protected override int TestPartitionStart { get { return 5000; } }
     protected override int TestPartitionEnd { get { return 10000; } }
-    public int Seed { get; }
+    public int Seed { get; private set; }
 
     public FriedmanOne() : this((int)DateTime.Now.Ticks) { }
Index: trunk/sources/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Various/FriedmanTwo.cs
===================================================================
--- trunk/sources/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Various/FriedmanTwo.cs	(revision 14228)
+++ trunk/sources/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Various/FriedmanTwo.cs	(revision 14229)
@@ -43,5 +43,5 @@
     protected override int TestPartitionEnd { get { return 10000; } }
 
-    public int Seed { get; }
+    public int Seed { get; private set; }
 
     public FriedmanTwo() : this((int)DateTime.Now.Ticks) { }
Index: trunk/sources/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Various/PolyTen.cs
===================================================================
--- trunk/sources/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Various/PolyTen.cs	(revision 14228)
+++ trunk/sources/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Various/PolyTen.cs	(revision 14229)
@@ -46,5 +46,5 @@
     protected override int TestPartitionStart { get { return 250; } }
     protected override int TestPartitionEnd { get { return 500; } }
-    public int Seed { get; }
+    public int Seed { get; private set; }
 
     public PolyTen() : this((int)DateTime.Now.Ticks) { }
Index: trunk/sources/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Various/SpatialCoevolution.cs
===================================================================
--- trunk/sources/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Various/SpatialCoevolution.cs	(revision 14228)
+++ trunk/sources/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Various/SpatialCoevolution.cs	(revision 14229)
@@ -51,5 +51,5 @@
     protected override int TestPartitionStart { get { return 676; } }
     protected override int TestPartitionEnd { get { return 1676; } }
-    public int Seed { get; }
+    public int Seed { get; private set; }
 
     public SpatialCoevolution() : this((int)DateTime.Now.Ticks) { }
Index: trunk/sources/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Various/VariousInstanceProvider.cs
===================================================================
--- trunk/sources/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Various/VariousInstanceProvider.cs	(revision 14228)
+++ trunk/sources/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Various/VariousInstanceProvider.cs	(revision 14229)
@@ -38,5 +38,5 @@
       get { return ""; }
     }
-    public int Seed { get; }
+    public int Seed { get; private set; }
 
     public VariousInstanceProvider() : this((int)DateTime.Now.Ticks) { }
Index: trunk/sources/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Vladislavleva/KotanchekFunction.cs
===================================================================
--- trunk/sources/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Vladislavleva/KotanchekFunction.cs	(revision 14228)
+++ trunk/sources/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Vladislavleva/KotanchekFunction.cs	(revision 14229)
@@ -48,5 +48,5 @@
     protected override int TestPartitionEnd { get { return 100 + (45 * 45); } }
 
-    public int Seed { get; }
+    public int Seed { get; private set; }
 
     public KotanchekFunction() : this((int)DateTime.Now.Ticks) { }
Index: trunk/sources/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Vladislavleva/RationalPolynomialThreeDimensional.cs
===================================================================
--- trunk/sources/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Vladislavleva/RationalPolynomialThreeDimensional.cs	(revision 14228)
+++ trunk/sources/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Vladislavleva/RationalPolynomialThreeDimensional.cs	(revision 14229)
@@ -47,5 +47,5 @@
     protected override int TestPartitionStart { get { return 300; } }
     protected override int TestPartitionEnd { get { return 300 + (15 * 12 * 15); } }
-    public int Seed { get; }
+    public int Seed { get; private set; }
 
     public RationalPolynomialThreeDimensional() : this((int)DateTime.Now.Ticks) { }
Index: trunk/sources/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Vladislavleva/RationalPolynomialTwoDimensional.cs
===================================================================
--- trunk/sources/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Vladislavleva/RationalPolynomialTwoDimensional.cs	(revision 14228)
+++ trunk/sources/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Vladislavleva/RationalPolynomialTwoDimensional.cs	(revision 14229)
@@ -48,5 +48,5 @@
     protected override int TestPartitionEnd { get { return 50 + (34 * 34); } }
 
-    public int Seed { get; }
+    public int Seed { get; private set; }
 
     public RationalPolynomialTwoDimensional() : this((int)DateTime.Now.Ticks) { }
Index: trunk/sources/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Vladislavleva/RippleFunction.cs
===================================================================
--- trunk/sources/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Vladislavleva/RippleFunction.cs	(revision 14228)
+++ trunk/sources/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Vladislavleva/RippleFunction.cs	(revision 14229)
@@ -46,5 +46,5 @@
     protected override int TestPartitionStart { get { return 300; } }
     protected override int TestPartitionEnd { get { return 300 + 1000; } }
-    public int Seed { get; }
+    public int Seed { get; private set; }
 
     public RippleFunction() : this((int)DateTime.Now.Ticks) { }
Index: trunk/sources/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Vladislavleva/SineCosineFunction.cs
===================================================================
--- trunk/sources/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Vladislavleva/SineCosineFunction.cs	(revision 14228)
+++ trunk/sources/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Vladislavleva/SineCosineFunction.cs	(revision 14229)
@@ -47,5 +47,5 @@
     protected override int TestPartitionStart { get { return 30; } }
     protected override int TestPartitionEnd { get { return 30 + (306 * 306); } }
-    public int Seed { get; }
+    public int Seed { get; private set; }
 
     public SineCosineFunction() : this((int)DateTime.Now.Ticks) { }
Index: trunk/sources/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Vladislavleva/UnwrappedBallFunctionFiveDimensional.cs
===================================================================
--- trunk/sources/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Vladislavleva/UnwrappedBallFunctionFiveDimensional.cs	(revision 14228)
+++ trunk/sources/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Vladislavleva/UnwrappedBallFunctionFiveDimensional.cs	(revision 14229)
@@ -46,5 +46,5 @@
     protected override int TestPartitionStart { get { return 1024; } }
     protected override int TestPartitionEnd { get { return 6024; } }
-    public int Seed { get; }
+    public int Seed { get; private set; }
 
     public UnwrappedBallFunctionFiveDimensional() : this((int)DateTime.Now.Ticks) { }
Index: trunk/sources/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Vladislavleva/VladislavlevaInstanceProvider.cs
===================================================================
--- trunk/sources/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Vladislavleva/VladislavlevaInstanceProvider.cs	(revision 14228)
+++ trunk/sources/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Vladislavleva/VladislavlevaInstanceProvider.cs	(revision 14229)
@@ -39,5 +39,5 @@
     }
 
-    public int Seed { get; }
+    public int Seed { get; private set; }
 
     public VladislavlevaInstanceProvider() : this((int)DateTime.Now.Ticks) { }
